import { OnInit } from '@angular/core';
import { GenericTableConfiguration, WidgetConfiguration } from '../../../../../interfaces/WidgetInterfaces';
export declare class GenericTableConfigComponent implements OnInit {
    genericTableConfiguration: GenericTableConfiguration;
    widgetConfiguration: WidgetConfiguration;
    widgetConfig: WidgetConfiguration;
    constructor();
    ngOnInit(): void;
    Add(): void;
    DeleteByIndex(idx: number): void;
}
